Skip to main content

<SubscriptionDetailsButton /> component

The <SubscriptionDetailsButton /> component renders a button that opens the Subscription details drawer.

The <SubscriptionDetailsButton /> component renders a button that opens the Subscription details drawer when selected, allowing users to view and manage their Subscription details, whether for their or Organization. It must be wrapped inside a <Show when="signed-in"> component to ensure the user is authenticated.

Important

Billing regularly introduces new features and UI changes to Clerk's components. If you'd like to remain on a specific version of Clerk's components or SDK, you can follow the steps in the pinning documentation.

Usage

<SubscriptionDetailsButton /> must be wrapped inside a <Show when="signed-in"> component to ensure the user is authenticated.

<>
  // ❌ This will throw an error
  <SubscriptionDetailsButton />
  // ✅ Correct usage
  <Show when="signed-in">
    <SubscriptionDetailsButton />
  </Show>
</>

<SubscriptionDetailsButton /> will throw an error if the for prop is set to 'organization' and no is set.

<>
  // ❌ This will throw an error if no Organization is active
  <SubscriptionDetailsButton for="organization" />
  // ✅ Correct usage
  {auth.orgId ? <SubscriptionDetailsButton for="organization" /> : null}
</>
src/components/BillingSection.tsx
import { Show } from '@clerk/react'
import { SubscriptionDetailsButton } from '@clerk/react/experimental'

const BillingSection = () => {
  return (
    <Show when="signed-in">
      {/* Basic usage */}
      <SubscriptionDetailsButton />

      {/* Customizes the appearance of the Subscription details drawer */}
      <SubscriptionDetailsButton
        subscriptionDetailsProps={{
          appearance: {
            /* custom theme */
          },
        }}
      />

      {/* Custom button */}
      <SubscriptionDetailsButton onSubscriptionCancel={() => console.log('Subscription canceled')}>
        <button className="custom-button">
          <Icon name="subscription" />
          Manage Subscription
        </button>
      </SubscriptionDetailsButton>
    </Show>
  )
}

export default BillingSection

Properties

All props are optional.

  • Name
    children?
    Type
    React.ReactNode
    Description

    A custom button element. If not provided, defaults to a button with the text "Subscription details".

  • Name
    for?
    Type
    'user' | 'organization'
    Description

    Determines whether to show Subscription details for the current user or Organization. Defaults to 'user'.

  • Name
    onSubscriptionCancel?
    Type
    () => void
    Description

    A callback function that is called when a Subscription is canceled.

  • Name
    subscriptionDetailsProps?
    Type
    { appearance?: Appearance; portalId?: string; portalRoot?: HTMLElement | null }
    Description

    Options for the Subscription details drawer. Accepts the following properties:

    • appearance: an object used to style your components. For example: <SubscriptionDetailsButton subscriptionDetailsProps={{ appearance: { ... } }} />.
    • portalId: the ID of the portal element used to render the Subscription details drawer.
    • portalRoot: the HTML element in which to render the Subscription details drawer.

Feedback

What did you think of this content?

Last updated on

Skip to main content

<SubscriptionDetailsButton /> component

The <SubscriptionDetailsButton /> component renders a button that opens the Subscription details drawer.

The <SubscriptionDetailsButton /> component renders a button that opens the Subscription details drawer when selected, allowing users to view and manage their Subscription details, whether for their or Organization. It must be wrapped inside a <Show when="signed-in"> component to ensure the user is authenticated.

Important

Billing regularly introduces new features and UI changes to Clerk's components. If you'd like to remain on a specific version of Clerk's components or SDK, you can follow the steps in the pinning documentation.

Usage

<SubscriptionDetailsButton /> must be wrapped inside a <Show when="signed-in"> component to ensure the user is authenticated.

<>
  // ❌ This will throw an error
  <SubscriptionDetailsButton />
  // ✅ Correct usage
  <Show when="signed-in">
    <SubscriptionDetailsButton />
  </Show>
</>

<SubscriptionDetailsButton /> will throw an error if the for prop is set to 'organization' and no is set.

<>
  // ❌ This will throw an error if no Organization is active
  <SubscriptionDetailsButton for="organization" />
  // ✅ Correct usage
  {auth.orgId ? <SubscriptionDetailsButton for="organization" /> : null}
</>
billing.vue
<script setup lang="ts">
import { Show } from '@clerk/vue'
import { SubscriptionDetailsButton } from '@clerk/vue/experimental'
</script>

<template>
  <Show when="signed-in">
    <!-- Basic usage -->
    <SubscriptionDetailsButton />

    <!-- Customizes the appearance of the Subscription details drawer -->
    <SubscriptionDetailsButton
      :subscriptionDetailsProps="{
        appearance: {
          /* custom theme */
        },
      }"
    />

    <!-- Custom button -->
    <SubscriptionDetailsButton :onSubscriptionCancel="() => console.log('Subscription canceled')">
      <button class="custom-button">Manage Subscription</button>
    </SubscriptionDetailsButton>
  </Show>
</template>

Properties

All props are optional.

  • Name
    children?
    Type
    React.ReactNode
    Description

    A custom button element. If not provided, defaults to a button with the text "Subscription details".

  • Name
    for?
    Type
    'user' | 'organization'
    Description

    Determines whether to show Subscription details for the current user or Organization. Defaults to 'user'.

  • Name
    onSubscriptionCancel?
    Type
    () => void
    Description

    A callback function that is called when a Subscription is canceled.

  • Name
    subscriptionDetailsProps?
    Type
    { appearance?: Appearance; portalId?: string; portalRoot?: HTMLElement | null }
    Description

    Options for the Subscription details drawer. Accepts the following properties:

    • appearance: an object used to style your components. For example: <SubscriptionDetailsButton subscriptionDetailsProps={{ appearance: { ... } }} />.
    • portalId: the ID of the portal element used to render the Subscription details drawer.
    • portalRoot: the HTML element in which to render the Subscription details drawer.

Feedback

What did you think of this content?

Last updated on